<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: SmarActActuatorSystem Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classSmarActActuatorSystem-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SmarActActuatorSystem Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="SmarActActuatorSystem_8hpp_source.html">SmarActActuatorSystem.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for SmarActActuatorSystem:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorSystem__inherit__graph.png" border="0" usemap="#SmarActActuatorSystem_inherit__map" alt="Inheritance graph"/></div>
<map name="SmarActActuatorSystem_inherit__map" id="SmarActActuatorSystem_inherit__map">
<area shape="rect" id="node2" href="classActuatorSystem.html" title="{ActuatorSystem\n|+ nchannels\l# actuatorAxes\l# _systemID\l# _localSystemID\l|+ ActuatorSystem()\l+ ~ActuatorSystem()\l+ AddAxis()\l+ SystemID()\l+ LocalSystemID()\l+ GetAxisPointer()\l}" alt="" coords="31,5,175,229"/></map>
</div>
<div class="dynheader">
Collaboration diagram for SmarActActuatorSystem:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorSystem__coll__graph.png" border="0" usemap="#SmarActActuatorSystem_coll__map" alt="Collaboration graph"/></div>
<map name="SmarActActuatorSystem_coll__map" id="SmarActActuatorSystem_coll__map">
<area shape="rect" id="node2" href="classActuatorSystem.html" title="{ActuatorSystem\n|+ nchannels\l# _systemID\l# _localSystemID\l|+ ActuatorSystem()\l+ ~ActuatorSystem()\l+ AddAxis()\l+ SystemID()\l+ LocalSystemID()\l+ GetAxisPointer()\l}" alt="" coords="176,569,320,775"/><area shape="rect" id="node6" href="classActuatorAxis.html" title="{ActuatorAxis\n|# _localID\l# holdMs\l# _name\l# _flip\l|+ ActuatorAxis()\l+ ~ActuatorAxis()\l+ itsActuatorSystem()\l+ GotoAsync()\l+ GotoSync()\l+ GetPositionSync()\l+ SetOption()\l+ LocalID()\l+ Name()\l+ SetName()\l+ SetFlip()\l+ RegisterFields()\l+ UpdateState()\l}" alt="" coords="353,843,503,1189"/><area shape="rect" id="node4" href="classstd_1_1vector.html" title="{std::vector\&lt; ActuatorAxis * \&gt;\n||}" alt="" coords="208,1256,400,1341"/><area shape="rect" id="node8" href="classStateManager.html" title="{StateManager\n||+ StateManager()\l+ ~StateManager()\l+ state()\l+ logger()\l+ Renew()\l+ RegisterField()\l+ RegisterFieldExc()\l+ indexOfField()\l}" alt="" coords="493,569,635,775"/><area shape="rect" id="node18" href="classDataLogger.html" title="{DataLogger\n|# filename\l# file\l# stream\l# isHeaderPrepared\l|+ DataLogger()\l+ ~DataLogger()\l+ WriteCurrentState()\l+ SetFilename()\l+ valid()\l# PrepareFileHeader()\l}" alt="" coords="568,904,717,1128"/><area shape="rect" id="node10" href="classMeasurementState.html" title="{MeasurementState\n|+ double_nan\l# names\l# units\l|+ operator[]()\l+ MeasurementState()\l+ ~MeasurementState()\l+ GetHeaders()\l+ DumpCurrentValues()\l+ Get()\l+ Update()\l+ Invalidate()\l+ Volatile()\l+ RegisterField()\l+ IndexOfField()\l+ Renew()\l# Update()\l}" alt="" coords="484,173,644,501"/><area shape="rect" id="node12" href="classstd_1_1vector.html" title="{std::vector\&lt; QString \&gt;\n|+ element\l|}" alt="" coords="323,5,475,91"/><area shape="rect" id="node14" href="classstd_1_1vector.html" title="{std::vector\&lt; bool \&gt;\n|+ element\l|}" alt="" coords="499,5,629,91"/><area shape="rect" id="node16" href="classstd_1_1vector.html" title="{std::vector\&lt; double \&gt;\n|+ element\l|}" alt="" coords="653,5,800,91"/></map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aca340280e343e04d895d0cd69eda8431"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorSystem.html#aca340280e343e04d895d0cd69eda8431">SmarActActuatorSystem</a> (unsigned int systemID, unsigned int localSystemID)</td></tr>
<tr class="memitem:a75272158e4c9eceab26026aa25e26739"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorSystem.html#a75272158e4c9eceab26026aa25e26739">~SmarActActuatorSystem</a> ()</td></tr>
<tr class="inherit_header pub_methods_classActuatorSystem"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classActuatorSystem')"><img src="closed.png" alt="-"/>&nbsp;Public Member Functions inherited from <a class="el" href="classActuatorSystem.html">ActuatorSystem</a></td></tr>
<tr class="memitem:a4fca8e14a280ed14f173f2f25e4918f2 inherit pub_methods_classActuatorSystem"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#a4fca8e14a280ed14f173f2f25e4918f2">ActuatorSystem</a> (unsigned int systemID, unsigned int localSystemID)</td></tr>
<tr class="memitem:a15c756ce149b157d18f1ae0f874292bc inherit pub_methods_classActuatorSystem"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#a15c756ce149b157d18f1ae0f874292bc">~ActuatorSystem</a> ()</td></tr>
<tr class="memitem:a098e082fb417d133768d65de6f2ef9b3 inherit pub_methods_classActuatorSystem"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#a098e082fb417d133768d65de6f2ef9b3">AddAxis</a> (<a class="el" href="classActuatorAxis.html">ActuatorAxis</a> *axisptr)</td></tr>
<tr class="memitem:a2d7e684c9226df9f25578b454aca369e inherit pub_methods_classActuatorSystem"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#a2d7e684c9226df9f25578b454aca369e">SystemID</a> ()</td></tr>
<tr class="memdesc:a2d7e684c9226df9f25578b454aca369e inherit pub_methods_classActuatorSystem"><td class="mdescLeft">&#160;</td><td class="mdescRight">in case of smaract: serial number of smaract controller (green box)  <a href="#a2d7e684c9226df9f25578b454aca369e"></a><br/></td></tr>
<tr class="memitem:ae5901b922414bde07626b115e415dfc9 inherit pub_methods_classActuatorSystem"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#ae5901b922414bde07626b115e415dfc9">LocalSystemID</a> ()</td></tr>
<tr class="memdesc:ae5901b922414bde07626b115e415dfc9 inherit pub_methods_classActuatorSystem"><td class="mdescLeft">&#160;</td><td class="mdescRight">system id numbering devices of the same kind within the driver, in case of smaract, 0,1,2...  <a href="#ae5901b922414bde07626b115e415dfc9"></a><br/></td></tr>
<tr class="memitem:a793ffbe816baa451e69df29a3cec334f inherit pub_methods_classActuatorSystem"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#a793ffbe816baa451e69df29a3cec334f">GetAxisPointer</a> (unsigned int localAxisID)</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a7a8d81503c4d40477aa366f250e87cf4"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorSystem.html#a7a8d81503c4d40477aa366f250e87cf4">microstepSize</a></td></tr>
<tr class="memitem:a550e17d182c59b61fe301e6d826c279c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorSystem.html#a550e17d182c59b61fe301e6d826c279c">_fieldIdPositionMicrons0</a></td></tr>
<tr class="memitem:a2857292850b5b8d109f33f86027681c2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorSystem.html#a2857292850b5b8d109f33f86027681c2">_fieldIdPositionMicrons1</a></td></tr>
<tr class="memitem:a431f5e7de84f31600cb748a00986f16a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorSystem.html#a431f5e7de84f31600cb748a00986f16a">_fieldIdPositionMicrons2</a></td></tr>
<tr class="memitem:ad6f77a597f774f7f6dcb79d9d35e96a0"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorSystem.html#ad6f77a597f774f7f6dcb79d9d35e96a0">_fieldIdCrystalState0</a></td></tr>
<tr class="memitem:ad27804fe6f34353654c4e572ee68ee4c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorSystem.html#ad27804fe6f34353654c4e572ee68ee4c">_fieldIdCrystalState1</a></td></tr>
<tr class="memitem:a87d5e9244324e71df6f620091c2b95d5"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorSystem.html#a87d5e9244324e71df6f620091c2b95d5">_fieldIdCrystalState2</a></td></tr>
<tr class="memitem:af758d364c941727812c37557dfa92ba4"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorSystem.html#af758d364c941727812c37557dfa92ba4">_errorCount</a></td></tr>
<tr class="inherit_header pro_attribs_classActuatorSystem"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classActuatorSystem')"><img src="closed.png" alt="-"/>&nbsp;Protected Attributes inherited from <a class="el" href="classActuatorSystem.html">ActuatorSystem</a></td></tr>
<tr class="memitem:aa91617cf975df6aa12e53cef47f3c285 inherit pro_attribs_classActuatorSystem"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt; <a class="el" href="classActuatorAxis.html">ActuatorAxis</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#aa91617cf975df6aa12e53cef47f3c285">actuatorAxes</a></td></tr>
<tr class="memitem:afeaffec9c8ee395477198ac9f3c4d03e inherit pro_attribs_classActuatorSystem"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#afeaffec9c8ee395477198ac9f3c4d03e">_systemID</a></td></tr>
<tr class="memitem:aedf147da71ec982792c48e11031e6f63 inherit pro_attribs_classActuatorSystem"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#aedf147da71ec982792c48e11031e6f63">_localSystemID</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_attribs_classActuatorSystem"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classActuatorSystem')"><img src="closed.png" alt="-"/>&nbsp;Public Attributes inherited from <a class="el" href="classActuatorSystem.html">ActuatorSystem</a></td></tr>
<tr class="memitem:aa534317b76a9ef8042cfc1accbdc6b60 inherit pub_attribs_classActuatorSystem"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#aa534317b76a9ef8042cfc1accbdc6b60">nchannels</a></td></tr>
</table>
<h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aca340280e343e04d895d0cd69eda8431"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SmarActActuatorSystem::SmarActActuatorSystem </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>systemID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>localSystemID</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a75272158e4c9eceab26026aa25e26739"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SmarActActuatorSystem::~SmarActActuatorSystem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Data Documentation</h2>
<a class="anchor" id="af758d364c941727812c37557dfa92ba4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int SmarActActuatorSystem::_errorCount</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ad6f77a597f774f7f6dcb79d9d35e96a0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int SmarActActuatorSystem::_fieldIdCrystalState0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ad27804fe6f34353654c4e572ee68ee4c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int SmarActActuatorSystem::_fieldIdCrystalState1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a87d5e9244324e71df6f620091c2b95d5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int SmarActActuatorSystem::_fieldIdCrystalState2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a550e17d182c59b61fe301e6d826c279c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int SmarActActuatorSystem::_fieldIdPositionMicrons0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a2857292850b5b8d109f33f86027681c2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int SmarActActuatorSystem::_fieldIdPositionMicrons1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a431f5e7de84f31600cb748a00986f16a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int SmarActActuatorSystem::_fieldIdPositionMicrons2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a7a8d81503c4d40477aa366f250e87cf4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double SmarActActuatorSystem::microstepSize</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="SmarActActuatorSystem_8hpp_source.html">SmarActActuatorSystem.hpp</a></li>
<li><a class="el" href="SmarActActuatorSystem_8cpp.html">SmarActActuatorSystem.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
